| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CommonBitflag Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CommonBitflag defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CommonBitflag ()
| Default constructor.
eProsima_user_DllExport | ~CommonBitflag ()
| Default destructor.
eProsima_user_DllExport | CommonBitflag (const CommonBitflag &x)
| Copy constructor.
eProsima_user_DllExport | CommonBitflag (CommonBitflag &&x) noexcept
| Move constructor.
eProsima_user_DllExport CommonBitflag & | operator= (const CommonBitflag &x)
| Copy assignment.
eProsima_user_DllExport CommonBitflag & | operator= (CommonBitflag &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CommonBitflag &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CommonBitflag &x) const
| Comparison operator.
eProsima_user_DllExport void | position (uint16_t _position)
| This function sets a value in member position.
eProsima_user_DllExport uint16_t | position () const
| This function returns the value of member position.
eProsima_user_DllExport uint16_t & | position ()
| This function returns a reference to member position.
eProsima_user_DllExport void | flags (const BitflagFlag &_flags)
| This function copies the value in member flags.
eProsima_user_DllExport void | flags (BitflagFlag &&_flags)
| This function moves the value in member flags.
eProsima_user_DllExport const BitflagFlag & | flags () const
| This function returns a constant reference to member flags.
eProsima_user_DllExport BitflagFlag & | flags ()
| This function returns a reference to member flags.

## Detailed Description

This class represents the structure CommonBitflag defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CommonBitflag() [1/3]

eProsima_user_DllExport CommonBitflag | ( |  | ) |

inline

Default constructor.

## ◆ ~CommonBitflag()

eProsima_user_DllExport ~CommonBitflag | ( |  | ) |

inline

Default destructor.

## ◆ CommonBitflag() [2/3]

eProsima_user_DllExport CommonBitflag | ( | const CommonBitflag & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CommonBitflag that will be copied.

## ◆ CommonBitflag() [3/3]

eProsima_user_DllExport CommonBitflag | ( | CommonBitflag && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CommonBitflag that will be copied.

## Member Function Documentation

## ◆ flags() [1/4]

eProsima_user_DllExport BitflagFlag & flags | ( |  | ) |

inline

This function returns a reference to member flags.

Returns
  Reference to member flags

## ◆ flags() [2/4]

eProsima_user_DllExport const BitflagFlag & flags | ( |  | ) | const

inline

This function returns a constant reference to member flags.

Returns
  Constant reference to member flags

## ◆ flags() [3/4]

eProsima_user_DllExport void flags | ( | BitflagFlag && | _flags | ) |

inline

This function moves the value in member flags.

Parameters

  _flags | New value to be moved in member flags

## ◆ flags() [4/4]

eProsima_user_DllExport void flags | ( | const BitflagFlag & | _flags | ) |

inline

This function copies the value in member flags.

Parameters

  _flags | New value to be copied in member flags

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CommonBitflag & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonBitflag object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CommonBitflag & operator= | ( | CommonBitflag && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CommonBitflag that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CommonBitflag & operator= | ( | const CommonBitflag & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CommonBitflag that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CommonBitflag & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonBitflag object to compare.

## ◆ position() [1/3]

eProsima_user_DllExport uint16_t & position | ( |  | ) |

inline

This function returns a reference to member position.

Returns
  Reference to member position

## ◆ position() [2/3]

eProsima_user_DllExport uint16_t position | ( |  | ) | const

inline

This function returns the value of member position.

Returns
  Value of member position

## ◆ position() [3/3]

eProsima_user_DllExport void position | ( | uint16_t | _position | ) |

inline

This function sets a value in member position.

Parameters

  _position | New value for member position

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp